gr::gfdm::sync_cc_impl Class Reference

`#include <sync_cc_impl.h>`

Inheritance diagram for gr::gfdm::sync_cc_impl:
[legend]

## Public Member Functions

| sync_cc_impl (int n_subcarriers, int cp_length, int frame_len, std::vector< gr_complex > preamble, const std::string &gfdm_tag_key)
| ~sync_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::sync_cc
typedef boost::shared_ptr< sync_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::sync_cc
static sptr | make (int n_subcarriers, int cp_length, int frame_len, std::vector< gr_complex > preamble, const std::string &gfdm_tag_key="gfdm_block")
| Return a shared_ptr to a new instance of gfdm::sync_cc.

## Constructor & Destructor Documentation

## sync_cc_impl()

gr::gfdm::sync_cc_impl::sync_cc_impl | ( | int | n_subcarriers,
|  | int | cp_length,
|  | int | frame_len,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | gfdm_tag_key
| ) |  |

## ~sync_cc_impl()

gr::gfdm::sync_cc_impl::~sync_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::gfdm::sync_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::sync_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- sync_cc_impl.h